Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.xbaseinput
Class XBaseInputMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.xbaseinput.XBaseInputMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class XBaseInputMeta

extends BaseStepMeta
implements StepMetaInterface

Constructor Summary
`XBaseInputMeta()`

Method Summary
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`String` | `exportResources(org.pentaho.di.core.variables.VariableSpace space, Map<String,ResourceDefinition> definitions, ResourceNamingInterface resourceNamingInterface, Repository repository)` Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively.
`String` | `getAcceptingField()`
`StepMeta` | `getAcceptingStep()`
`String` | `getAcceptingStepName()`
`String` | `getCharactersetName()`
`String` | `getDbfFileName()`
`void` | `getFields(org.pentaho.di.core.row.RowMetaInterface row, String name, org.pentaho.di.core.row.RowMetaInterface[] info, StepMeta nextStep, org.pentaho.di.core.variables.VariableSpace space)` Get the fields that are emitted by this step
`String` | `getFilenameField()`
`String[]` | `getFilePaths(org.pentaho.di.core.variables.VariableSpace space)`
`String[]` | `getInfoSteps()`
`String` | `getLookupStepname()`
`org.pentaho.di.core.row.RowMetaInterface` | `getOutputFields(org.pentaho.di.core.fileinput.FileInputList files, String name)`
`int` | `getRowLimit()`
`String` | `getRowNrField()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta tr, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`org.pentaho.di.core.fileinput.FileInputList` | `getTextFileList(org.pentaho.di.core.variables.VariableSpace space)`
`String[]` | `getUsedLibraries()`
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `includeFilename()`
`boolean` | `isAcceptingFilenames()`
`boolean` | `isRowNrAdded()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `searchInfoAndTargetSteps(List<StepMeta> steps)`
`void` | `setAcceptingField(String acceptingField)`
`void` | `setAcceptingFilenames(boolean acceptingFilenames)`
`void` | `setAcceptingStep(StepMeta acceptingStep)`
`void` | `setAcceptingStepName(String acceptingStepName)`
`void` | `setCharactersetName(String charactersetName)`
`void` | `setDbfFileName(String dbfFileName)`
`void` | `setDefault()` Set default values
`void` | `setFilenameField(String filenameField)`
`void` | `setIncludeFilename(boolean includeFilename)`
`void` | `setRowLimit(int rowLimit)`
`void` | `setRowNrAdded(boolean rowNrAdded)`
`void` | `setRowNrField(String rowNrField)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, getDialogClassName, getID, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, hasChanged, setChanged, setChanged, setID, setInfoSteps, setTargetSteps, supportsErrorHandling`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, getDialogClassName, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, setInfoSteps, setTargetSteps, supportsErrorHandling`

Constructor Detail

### XBaseInputMeta

    public XBaseInputMeta()

Method Detail

### getDbfFileName

    public String getDbfFileName()

  Returns:
    Returns the dbfFileName.

### setDbfFileName

    public void setDbfFileName(String dbfFileName)

  Parameters:
    `dbfFileName` - The dbfFileName to set.

### getRowLimit

    public int getRowLimit()

  Returns:
    Returns the rowLimit.

### setRowLimit

    public void setRowLimit(int rowLimit)

  Parameters:
    `rowLimit` - The rowLimit to set.

### getRowNrField

    public String getRowNrField()

  Returns:
    Returns the rowNrField.

### setRowNrField

    public void setRowNrField(String rowNrField)

  Parameters:
    `rowNrField` - The rowNrField to set.

### isRowNrAdded

    public boolean isRowNrAdded()

  Returns:
    Returns the rowNrAdded.

### setRowNrAdded

    public void setRowNrAdded(boolean rowNrAdded)

  Parameters:
    `rowNrAdded` - The rowNrAdded to set.

### getAcceptingField

    public String getAcceptingField()

  Returns:
    Returns the acceptingField.

### setAcceptingField

    public void setAcceptingField(String acceptingField)

  Parameters:
    `acceptingField` - The acceptingField to set.

### isAcceptingFilenames

    public boolean isAcceptingFilenames()

  Returns:
    Returns the acceptingFilenames.

### setAcceptingFilenames

    public void setAcceptingFilenames(boolean acceptingFilenames)

  Parameters:
    `acceptingFilenames` - The acceptingFilenames to set.

### getAcceptingStep

    public StepMeta getAcceptingStep()

  Returns:
    Returns the acceptingStep.

### setAcceptingStep

    public void setAcceptingStep(StepMeta acceptingStep)

  Parameters:
    `acceptingStep` - The acceptingStep to set.

### getAcceptingStepName

    public String getAcceptingStepName()

  Returns:
    Returns the acceptingStepName.

### setAcceptingStepName

    public void setAcceptingStepName(String acceptingStepName)

  Parameters:
    `acceptingStepName` - The acceptingStepName to set.

### getFilenameField

    public String getFilenameField()

  Returns:
    Returns the filenameField.

### setFilenameField

    public void setFilenameField(String filenameField)

  Parameters:
    `filenameField` - The filenameField to set.

### includeFilename

    public boolean includeFilename()

  Returns:
    Returns the includeFilename.

### setIncludeFilename

    public void setIncludeFilename(boolean includeFilename)

  Parameters:
    `includeFilename` - The includeFilename to set.

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getLookupStepname

    public String getLookupStepname()

### searchInfoAndTargetSteps

    public void searchInfoAndTargetSteps(List<StepMeta> steps)

  Specified by:
    `searchInfoAndTargetSteps` in interface `StepMetaInterface`
  Overrides:
    `searchInfoAndTargetSteps` in class `BaseStepMeta`
  Parameters:
    `steps` - optionally search the info step in a list of steps

### getInfoSteps

    public String[] getInfoSteps()

  Specified by:
    `getInfoSteps` in interface `StepMetaInterface`
  Overrides:
    `getInfoSteps` in class `BaseStepMeta`
  Returns:
    the informational source steps, if any. Null is the default: none.

### getOutputFields

    public org.pentaho.di.core.row.RowMetaInterface getOutputFields(org.pentaho.di.core.fileinput.FileInputList files,
                                                                    String name)
                                                             throws org.pentaho.di.core.exception.KettleStepException

  Throws:
    `org.pentaho.di.core.exception.KettleStepException`

### getFields

    public void getFields(org.pentaho.di.core.row.RowMetaInterface row,
                          String name,
                          org.pentaho.di.core.row.RowMetaInterface[] info,
                          StepMeta nextStep,
                          org.pentaho.di.core.variables.VariableSpace space)
                   throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `StepMetaInterface`
  Get the fields that are emitted by this step

  Specified by:
    `getFields` in interface `StepMetaInterface`
  Overrides:
    `getFields` in class `BaseStepMeta`
  Parameters:
    `row` - The fields that are entering the step. These are changed to reflect the output metadata.
    `name` - The name of the step to be used as origin
    `info` - The input rows metadata that enters the step through the specified channels in the same order as in method getInfoSteps(). The step metadata can then choose what to do with it: ignore it or not. Interesting is also that in case of database lookups, the layout of the target database table is put in info[0]
    `nextStep` - if this is a non-null value, it's the next step in the transformation. The one who's asking, the step where the data is targetted towards.
    `space` - TODO
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - when an error occurred searching for the fields.

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepMeta,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepMeta` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta tr,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `tr` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### getFilePaths

    public String[] getFilePaths(org.pentaho.di.core.variables.VariableSpace space)

### getTextFileList

    public org.pentaho.di.core.fileinput.FileInputList getTextFileList(org.pentaho.di.core.variables.VariableSpace space)

### getUsedLibraries

    public String[] getUsedLibraries()

  Specified by:
    `getUsedLibraries` in interface `StepMetaInterface`
  Overrides:
    `getUsedLibraries` in class `BaseStepMeta`
  Returns:
    the libraries that this step or plug-in uses.

### getCharactersetName

    public String getCharactersetName()

  Returns:
    the charactersetName

### setCharactersetName

    public void setCharactersetName(String charactersetName)

  Parameters:
    `charactersetName` - the charactersetName to set

### exportResources

    public String exportResources(org.pentaho.di.core.variables.VariableSpace space,
                                  Map<String,ResourceDefinition> definitions,
                                  ResourceNamingInterface resourceNamingInterface,
                                  Repository repository)
                           throws org.pentaho.di.core.exception.KettleException

  Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively. So what this does is turn the name of files into absolute paths OR it simply includes the resource in the ZIP file. For now, we'll simply turn it into an absolute path and pray that the file is on a shared drive or something like that. TODO: create options to configure this behavior

  Specified by:
    `exportResources` in interface `StepMetaInterface`
  Overrides:
    `exportResources` in class `BaseStepMeta`
  Parameters:
    `space` - the variable space to use
    `repository` - The repository to optionally load other resources from (to be converted to XML)
  Returns:
    the filename of the exported resource
  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD